import java.util.*;
import java.io.*;



public class Main {

     static PrintWriter p;

     public static void main(String[] args) throws Exception{
        Scanner s= new Scanner(new File("sorting.in"));
         p = new PrintWriter(new File("sorting.out"));
         int n = s.nextInt();
         long m = s.nextLong();
         long max = 0;
         boolean pos = true;
         long weight = 0;
         for(int i = 0; i < n; i++){
             weight = s.nextLong();
             if(weight > max){
                 max = weight;
             }
             else{
                 if(max + weight > m) pos = false;
             }
         }

         if(pos){
             p.println("Yes");
         }
         else{
             p.println("No");
         }


         p.close();


}


}


